> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Variants gnomAD Alleles

> Retrieve GNOMAD alleles for variants in a given region.

Example: region = chr1:1157520-1158520 (maximum length: 10kb).

Region limit: 1kb pairs.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /variants/gnomad-alleles
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /variants/gnomad-alleles:
    get:
      summary: Variants gnomAD Alleles
      description: |-
        Retrieve GNOMAD alleles for variants in a given region.

        Example: region = chr1:1157520-1158520 (maximum length: 10kb).

        Region limit: 1kb pairs.
      operationId: variantsAlleles
      parameters:
        - name: region
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: array
                  items:
                    anyOf:
                      - not: {}
                      - anyOf:
                          - type: string
                          - type: number
                        nullable: true
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````